Package ghidra.trace.model.target.info

# Enum Class TraceObjectInterfaceUtils

java.lang.Object
java.lang.Enum<TraceObjectInterfaceUtils>
ghidra.trace.model.target.info.TraceObjectInterfaceUtils

All Implemented Interfaces:
  `Serializable`, `Comparable<TraceObjectInterfaceUtils>`, `Constable`

public enum TraceObjectInterfaceUtils extends Enum<TraceObjectInterfaceUtils>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Map<Class<?>,TraceObjectInterfaceFactory.Constructor<?>>`
  `getAllConstructors()`
  `static Map<String,TraceObjectInterfaceFactory.Constructor<?>>`
  `getConstructorsByName()`
  `static Collection<String>`
  `getFixedKeys(Class<? extends TraceObjectInterface> traceIf)`
  `static String`
  `getSchemaName(Class<? extends TraceObjectInterface> traceIf)`
  `static String`
  `getShortName(Class<? extends TraceObjectInterface> traceIf)`
  `static <T> T`
  `getValue(TraceObject object, long snap, String key, Class<T> cls, T def)`
  `static boolean`
  `isTraceObject(Class<?> cls)`
  `static TraceObjectInfo`
  `requireAnnotation(Class<? extends TraceObjectInterface> traceIf)`
  `static Stream<TraceObjectInterfaceFactory.Constructor<?>>`
  `streamConstructors(TraceObjectSchema schema)`
  `static TraceObjectInterfaceUtils`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TraceObjectInterfaceUtils[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### values

    public static TraceObjectInterfaceUtils[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TraceObjectInterfaceUtils valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getAllConstructors

    public static Map<Class<?>,TraceObjectInterfaceFactory.Constructor<?>> getAllConstructors()

  - ### streamConstructors

    public static Stream<TraceObjectInterfaceFactory.Constructor<?>> streamConstructors(TraceObjectSchema schema)

  - ### isTraceObject

    public static boolean isTraceObject(Class<?> cls)

  - ### getConstructorsByName

    public static Map<String,TraceObjectInterfaceFactory.Constructor<?>> getConstructorsByName()

  - ### requireAnnotation

    public static TraceObjectInfo requireAnnotation(Class<? extends TraceObjectInterface> traceIf)

  - ### getSchemaName

    public static String getSchemaName(Class<? extends TraceObjectInterface> traceIf)

  - ### getShortName

    public static String getShortName(Class<? extends TraceObjectInterface> traceIf)

  - ### getFixedKeys

    public static Collection<String> getFixedKeys(Class<? extends TraceObjectInterface> traceIf)

  - ### getValue

    public static <T> T getValue(TraceObject object, long snap, String key, Class<T> cls, T def)